Phone Ownership Verification Confirm (S2) API
An API that verifies the verification code entered by the customer.
Test Key Information
API Information
POST/spay/APIVBank.do
Content-Type
application/json테스트
https://tbgw.settlebank.co.kr/spay/APIVBank.do운영
https://gw.settlebank.co.kr/spay/APIVBank.doRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(12)Alphanumeric, up to 12 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
└verAN(4)Alphanumeric, up to 4 bytes*Message version
Message version
└methodA(2)Alphabetic, up to 2 bytes*Payment method
Payment method
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
Business type code
*S2: Phone Ownership Verification Confirm
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
Encryption type code
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number (same as used in S1)
Merchant order number (same as used in S1)
└trdDtN(8)Numeric, up to 8 bytes*Request date (yyyyMMdd)
Request date (yyyyMMdd)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HHmmss)
Request time (HHmmss)
└mobileYnA(1)Alphabetic, up to 1 bytesMobile indicator
Mobile indicator
Y: Mobile web/app N: PC or other└osTypeA(1)Alphabetic, up to 1 bytesOS type
OS type
A: Android I: IOS W: Windows M: Mac E: Otherdata Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
*Transaction date + transaction time + merchant ID + merchant order number + '0' + hash key
└authNoN(6)Numeric, up to 6 bytes*Verification code entered by the customer
Verification code entered by the customer
└cphoneNoN(11)Numeric, up to 11 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Phone number used in the S1 requestPhone number used in the S1 request
└orgMchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number used in the S1 verification request
Merchant order number used in the S1 verification request
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*Customer ID used in the S1 verification request (error if mismatched)
Customer ID used in the S1 verification request (error if mismatched)
└mchtCustNmAHN(30)Alphanumeric + Korean, up to 30 bytesMerchant customer name
Merchant customer name
└dpstrNmAHN(50)Alphanumeric + Korean, up to 50 bytesAccount holder name
Account holder name
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Merchant ID
nxva_sb_ilMerchant ID
└verAN(4)Alphanumeric, up to 4 bytes*Message version
0A18Message version
└methodA(2)Alphabetic, up to 2 bytes*Payment method
VAPayment method
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
S2Business type code
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
23Encryption type code
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number
ORDER20211231100000Merchant order number
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction number
STBK_0123456789Hecto Financial transaction number
└trdDtN(8)Numeric, up to 8 bytes*Request date
20211231Request date
└trdTmN(6)Numeric, up to 6 bytes*Request time
120000Request time
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code
0021Transaction status code
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Result code (0000 indicates success)
0000Result code (0000 indicates success)
*VA03: For B2B use, an already-issued virtual account number exists
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message
Processed successfully.Result message
data Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*Response hash value
75ac014c33165f3ee0c331123a0049f37a6e1578f8cec1d3d0374ffb75f18496Response hash value
└authNoN(6)Numeric, up to 6 bytes*Verification code
123456Verification code
└cphoneNoN(11)Numeric, up to 11 bytes*
AES-256AES-256/ECB/PKCS5PaddingPhone number (3 digits appended at the end for B2B use)01012345678Phone number (3 digits appended at the end for B2B use)
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└reqAuthDtN(8)Numeric, up to 8 bytes*Verification request date (yyyyMMdd)
20211231Verification request date (yyyyMMdd)
└orgMchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Original merchant order number
ORDER20211231100000Original merchant order number
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*Merchant customer ID
HongGilDongMerchant customer ID
└mchtCustNmAHN(30)Alphanumeric + Korean, up to 30 bytesMerchant customer name
Hong Gil-dongMerchant customer name
└dpstrNmAHN(50)Alphanumeric + Korean, up to 50 bytes*Account holder name (B2C: fixed as '010가상계좌', B2B: '010_CustomerName')
010가상계좌Account holder name (B2C: fixed as '010가상계좌', B2B: '010_CustomerName')
Request Example
{
"params": {
"mchtId": "nxva_sb_il",
"ver": "0A18",
"method": "VA",
"bizType": "S2",
"encCd": "23",
"mchtTrdNo": "ORDER20211231100000",
"trdDt": "20211231",
"trdTm": "120100",
"mobileYn": "N",
"osType": "W"
},
"data": {
"pktHash": "hash value",
"authNo": "123456",
"cphoneNo": "AES-encrypted phone number",
"orgMchtTrdNo": "ORDER20211231100000",
"mchtCustId": "HongGilDong",
"mchtCustNm": "Hong Gil-dong",
"dpstrNm": "Hong Gil-dong"
}
}
Response Example
{
"params": {
"mchtId": "nxva_sb_il",
"ver": "0A18",
"method": "VA",
"bizType": "S2",
"encCd": "23",
"mchtTrdNo": "ORDER20211231100000",
"trdNo": "STBK_0123456789",
"trdDt": "20211231",
"trdTm": "120100",
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully."
},
"data": {
"pktHash": "response hash value",
"authNo": "123456",
"cphoneNo": "AES-encrypted phone number",
"reqAuthDt": "20211231",
"orgMchtTrdNo": "ORDER20211231100000",
"mchtCustId": "HongGilDong",
"mchtCustNm": "Hong Gil-dong",
"dpstrNm": "010가상계좌"
}
}
Need technical support?
Code Samples
HectoFinancial GitHub